/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit;

import info.jmonit.visitor.MonitorVisitor;
import info.jmonit.visitor.SnapshotSource;

/**
 * An Aggregator gather datas from a monitor and builds a consolidated
 * view of the monitored object.
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public interface Agregator extends SnapshotSource
{
    String DEFAULT = "default";

    void hit( long time );

    void incrementActive( );

    void decrementActive( );

    void addValue( long value );

    void clear();

    String getRole();

    void accept( MonitorVisitor visitor );
}
