/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit;


/**
 * Callback to get notified on Probe lifecycle events.
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public interface Collector
{
    /**
     * Notification of Probe beeing started
     *
     * @param probe running probe
     */
    void started( Probe probe );

    /**
     * Notification of Probe beeing stoped
     *
     * @param probe stoped probe
     * @param value elapsed time
     * @param time current time
     */
    void stoped( Probe probe, long value, long time );

    /**
     * Notification of Probe beeing canceled
     *
     * @param probe stoped probe
     */
    void canceled( Probe probe );
}