/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.aop;

import java.io.Serializable;
import java.lang.reflect.Method;

import org.aopalliance.aop.Advice;
import org.springframework.aop.Pointcut;
import org.springframework.aop.support.AbstractPointcutAdvisor;
import org.springframework.aop.support.StaticMethodMatcherPointcut;

/**
 * 
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 * 
 */
public class MonitoredAdvisor
    extends AbstractPointcutAdvisor
{
    /** pointcut for monitoring */
    private MonitoredPointcut pointcut = new MonitoredPointcut();

    /**
     * {@inheritDoc}
     * @see org.springframework.aop.PointcutAdvisor#getPointcut()
     */
    public Pointcut getPointcut()
    {
        return pointcut;
    }

    /**
     * {@inheritDoc}
     * @see org.springframework.aop.Advisor#getAdvice()
     */
    public Advice getAdvice()
    {
        // TODO Auto-generated method stub
        return null;
    }

    /**
     * Pointcut matcher for Monitored annotated beans.
     * 
     * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
     */
    public static class MonitoredPointcut
        extends StaticMethodMatcherPointcut
        implements Serializable
    {
        /**
         * {@inheritDoc}
         * @see org.springframework.aop.MethodMatcher#matches(java.lang.reflect.Method, java.lang.Class)
         */
        public boolean matches( Method method, Class targetClass )
        {
            return false;
        }
    }
}
