/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.config;

import java.util.Properties;

/**
 * Extension configuration.
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public class ExtensionConfig
{
    /** Name of the extension */
    private String name;

    /** Implementation class */
    private String className;

    /**
     * Constructor
     */
    public ExtensionConfig()
    {
        super();
    }

    /**
     * Constructor
     *
     * @param attributes configuration attributes
     */
    public ExtensionConfig( Properties attributes )
    {
        super();
        if ( attributes.containsKey( "name" ) )
        {
            this.name = attributes.getProperty( "name" );
        }
        if ( attributes.containsKey( "class" ) )
        {
            this.className = attributes.getProperty( "class" );
        }
    }

    /**
     * @return the className
     */
    protected String getClassName()
    {
        return className;
    }

    /**
     * @param className the className to set
     */
    protected void setClassName( String className )
    {
        this.className = className;
    }

    /**
     * @return the name
     */
    protected String getName()
    {
        return name;
    }

    /**
     * @param name the name to set
     */
    protected void setName( String name )
    {
        this.name = name;
    }

}
