/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.config.parsers;

import info.jmonit.config.RepositoryConfig;

import java.net.URL;
import java.text.ParseException;

/**
 * Defines a parser for jMonit Configuration.
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public interface ConfigurationParser
{

    /**
     * Parse the specified Configuration URL and build a set of DomainConfig.
     *
     * @param config URL of the configuration data
     * @return configured Repository to be used by jMonit.
     * @throws ParseException on parsing error.
     */
    RepositoryConfig parse( URL config )
        throws ParseException;

}