/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.config.parsers;

import java.util.Properties;

/**
 * @see http://www.javaworld.com/javatips/jw-javatip128_p.html
 */
public interface DocHandler
{
    /**
     * Start of XML Element
     *
     * @param tag element name
     * @param atributes element attributes
     * @throws Exception parse error
     */
    void startElement( String tag, Properties atributes )
        throws Exception;

    /**
     * End of XML Element
     *
     * @param tag element name
     * @throws Exception parse error
     */
    void endElement( String tag )
        throws Exception;

    /**
     * Start of XML Document
     *
     * @throws Exception parse error
     */
    void startDocument()
        throws Exception;

    /**
     * End of XML Document
     *
     * @throws Exception parse error
     */
    void endDocument()
        throws Exception;

    /**
     * Text node content
     *
     * @param str node content
     * @throws Exception parse error
     */
    void text( String str )
        throws Exception;
}
