/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.logger;

/**
 * Facade API to any logging framework.
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public interface Logger
{
    /**
     *
     * @return true if debug logs are enabled
     */
    boolean isDebugEnabled();

    /**
     * @param message message to be logged
     */
    void debug( String message );

    /**
     * @param message message to be logged
     */
    void info( String message );

    /**
     * @param message message to be logged
     */
    void warn( String message );

    /**
     * @param message message to be logged
     * @param e Exception to be logged
     */
    void warn( String message, Exception e );

    /**
     * @param message message to be logged
     */
    void error( String message );

    /**
     * @param message message to be logged
     * @param e Exception to be logged
     */
    void error( String message, Exception e );

}