/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.support.jdbc;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;

/**
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 *
 */
public class Jdbc3MonitoredPreparedStatement
    extends Jdbc3MonitoredStatement
    implements PreparedStatement
{

    /**
     * @param statement target statement
     * @param query SQL Query
     * @param connection monitored connexion
     */
    public Jdbc3MonitoredPreparedStatement( CallableStatement statement, String query, MonitoredConnection connection )
    {
        super( statement, query, connection );
    }

    /**
     * @param statement target statement
     * @param query SQL Query
     * @param connection monitored connexion
     */
    public Jdbc3MonitoredPreparedStatement( PreparedStatement statement, String query, MonitoredConnection connection )
    {
        super( statement, query, connection );
    }

}
