/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.visitor;

import info.jmonit.Agregator;
import info.jmonit.Domain;
import info.jmonit.Monitor;
import info.jmonit.Repository;


/**
 * Visitor pattern for visiting a Monitor
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public interface MonitorVisitor
{
    /**
     * Visit a Monitor internale state
     *
     * @param snapshot visitable
     */
    void visit( MonitorSnapshot snapshot );

    /**
     * Visit a Monitor Agregator
     *
     * @param agregator visitable
     */
    void visit( Agregator agregator );

    /**
     * Visit a Monitor
     *
     * @param monitor visitable
     */
    void visit( Monitor monitor );


}
