/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.visitor;

/**
 * Source for generating a snapshot.
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public interface SnapshotSource
{
    /**
     * @return The Average active counter.
     */
    double getLoad();

    /**
     * @return The Active counter.
     */
    long getActive();

    /**
     * @return the firstUse
     */
    long getFirstUse();

    /**
     * @return the hits
     */
    long getHits();

    /**
     * @return the lastUse
     */
    long getLastUse();

    /**
     * @return the max
     */
    long getMax();

    /**
     * @return the maxActive
     */
    long getMaxActive();

    /**
     * @return the min
     */
    long getMin();

    /**
     * @return the total
     */
    long getTotal();

}