/*
 ~ Copyright 2006-2007 Nicolas De Loof.
 ~
 ~ Licensed under the Apache License, Version 2.0 (the "License");
 ~ you may not use this file except in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~      http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing, software
 ~ distributed under the License is distributed on an "AS IS" BASIS,
 ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 ~ See the License for the specific language governing permissions and
 ~ limitations under the License.
 */
package info.jmonit.web.ui;

import java.io.IOException;
import java.util.Properties;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Defines a web controller for jMonit web UI.
 *
 * @author <a href="mailto:ndeloof@sourceforge.net">ndeloof</a>
 */
public interface Controller
{
    /**
     * Controller configuration
     * @param properties initialisation properties
     */
    void init( Properties properties );

    /**
     * Request handling
     * @param uri requested resource inside jmonit web UI
     * @param request Http request
     * @param response Http response
     * @throws IOException IO error
     * @throws ServletException Internal error
     */
    void execute( String uri, HttpServletRequest request, HttpServletResponse response )
        throws IOException, ServletException;

}